<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ssm.manage.mapper.StoreSettelnmentProjectMapper">

    <resultMap type="com.ssm.manage.entity.StoreSettlementProject" id="StoreSettlementProjectMap">
        <result property="id" column="Id" jdbcType="INTEGER"/>
        <result property="projectId" column="project_id" jdbcType="INTEGER"/>
        <result property="projectName" column="project_name" jdbcType="VARCHAR"/>
        <result property="achievementLarge" column="achievement_large" jdbcType="VARCHAR"/>
        <result property="achievementZhonggong" column="achievement_zhonggong" jdbcType="NUMERIC"/>
        <result property="achievementTechnician" column="achievement_technician" jdbcType="NUMERIC"/>
        <result property="achievementSmall" column="achievement_small" jdbcType="NUMERIC"/>
        <result property="commissionLarge" column="commission_large" jdbcType="NUMERIC"/>
        <result property="commissionZhonggong" column="commission_zhonggong" jdbcType="NUMERIC"/>
        <result property="commissionTechnician" column="commission_technician" jdbcType="NUMERIC"/>
        <result property="commissionSmall" column="commission_small" jdbcType="NUMERIC"/>
        <result property="cardAchievementLarge" column="card_achievement_large" jdbcType="NUMERIC"/>
        <result property="cardAchievementZhonggong" column="card_achievement_zhonggong" jdbcType="NUMERIC"/>
        <result property="cardAchievementTechnician" column="card_achievement_technician" jdbcType="NUMERIC"/>
        <result property="cardAchievementSmall" column="card_achievement_small" jdbcType="NUMERIC"/>
        <result property="cardCommissionLarge" column="card_commission_large" jdbcType="NUMERIC"/>
        <result property="cardCommissionZhonggong" column="card_commission_zhonggong" jdbcType="NUMERIC"/>
        <result property="cardCommissionTechnician" column="card_commission_technician" jdbcType="NUMERIC"/>
        <result property="cardCommissionSmall" column="card_commission_small" jdbcType="NUMERIC"/>
        <result property="courseAccountId" column="course_account_id" jdbcType="INTEGER"/>
        <result property="servicingTime" column="servicing_time" jdbcType="VARCHAR"/>
        <result property="noDiscount" column="no_discount" jdbcType="INTEGER"/>
        <result property="overtime" column="overtime" jdbcType="INTEGER"/>
        <result property="overtimeMoney" column="overtime_money" jdbcType="NUMERIC"/>
        <result property="collectionCashAmount" column="collection_cash_amount" jdbcType="NUMERIC"/>
        <result property="collectionRechargeAmount" column="collection_recharge_amount" jdbcType="NUMERIC"/>
        <result property="price" column="price" jdbcType="NUMERIC"/>
        <result property="minumumPrice" column="minumum_price" jdbcType="NUMERIC"/>
        <result property="priceMember" column="price_member" jdbcType="NUMERIC"/>
        <result property="minumumPriceMember" column="minumum_price_member" jdbcType="NUMERIC"/>
        <result property="transactionPrice" column="transaction_price" jdbcType="NUMERIC"/>
        <result property="serviceOrderId" column="service_order_id" jdbcType="INTEGER"/>
        <result property="collectionGiftAmount" column="collection_gift_amount" jdbcType="DECIMAL"/>
        <result property="cashAmount" column="cash_amount" jdbcType="NUMERIC"/>
        <result property="renew" column="renew" jdbcType="NUMERIC"/>
        <result property="amount" column="amount" jdbcType="NUMERIC"/>
        <result property="numberTimes" column="number_times" jdbcType="INTEGER"/>
    </resultMap>


</mapper>

